java: -source 1.5 中不支持 lambda 表达式 ??设置了是1.8,咋整还是 1.5呀?

flink2c 发布于 03/27 13:11
阅读 80
收藏 0

D:\202011\code\4codesguigu\FlinkTutorial\src\main\java\com\atguigu\apitest\processfunction\ProcessTest1_KeyedProcessFunction.java:36:69
java: -source 1.5 中不支持 lambda 表达式
  (请使用 -source 8 或更高版本以启用 lambda 表达式)

+

设置了是1.8,咋整还是 1.5呀?

 

以下是问题补充:

@小药八旦子:maven-compiler-plugin source和target属性默认值是1.5 (03/27 23:26)
加载中
OSCHINA
登录后可查看更多优质内容
返回顶部
顶部